Skocz do zawartości


Zdjęcie

1-Click Upgrade


  • Zaloguj się, aby dodać odpowiedź
10 odpowiedzi w tym temacie

#1 pawelo

pawelo

    Użytkownik

  • Members
  • PipPip
  • 20 postów

Napisano 04 lipiec 2013 - 09:06

Witam! Ostatnio próbuję aktualizacji sklepu z wersji 1.5.3 na 1.5.4. Czytam na oficjalnych stronach presty że sugerują używać do tego celu ich modułu o nazwę 1-Click Upgrade i tak też robię. Sporo ludzi pisze że wszystko u nich idzie ładnie i moduł działa u mnie pojawiają się ciągle problemy. Generalnie są to alerty typu: error copying ... Jak ustawię prawa zapisu dla wskazanego pliku na 0777 to jest ok i error pojawia się na kolejnym i kolejnym pliku. W ustawieniach przed aktualizacją jest informacja że "Your store root directory must be writeable (appropriate CHMOD permissions)", gdzie ustawiłem dla katalogu root chmod na 777 i mam przy tym punkcie zielonego ptaszka że jest ok. Jak to jest z tymi prawami zapisu czy dla tego modułu i procesu aktualizacji muszę prawie wszystkim plikom nadać chmod 0777?

#2 d4b

d4b

    Zaawansowany

  • Members
  • PipPipPip
  • 248 postów
  • LocationPoznań
  • PrestaShop:1.5, 1.6

Napisano 04 lipiec 2013 - 09:47

Ustaw rekursywnie dla całego folderu

Remember to brush your teeth! Tworzenie sklepów w rozsądnej cenie oraz unikalne teksty na stronę www najtaniej w mieście.


#3 niauoli

niauoli

    Początkujący

  • Members
  • Pip
  • 6 postów

Napisano 08 kwiecień 2014 - 11:15

Witam, Czy ktos mi może pomóc w nast. sprawie? Próbowałam zmienić wersję sklepu z 1.4 na 1.6, wszystko było ok ale jak chciałam włączyć sklep na nowo to cała strona zrobiła się biała, sklepu też nie widać. Pomożecie ? :( Z ostatniej chwili: Pojawił się taki komunikat: Fatal error: Cannot redeclare psql() (previously declared in /home/bls/ftp/kasztanowa/config/alias.php:59) in /home/bls/ftp/kasztanowa/controllers/classes/Db.php on line 321

#4 sower

sower

    Guru

  • Moderatorzy
  • 4212 postów
  • Location3miasto
  • PrestaShop:1.2, 1.3, 1.4, 1.5, 1.6

Napisano 08 kwiecień 2014 - 14:52

niestety moduł automatycznego upgrade nie jest najlepszy a i serwery mają różną konfigurację

komunikat ten mówi, iż masz już gdzieś zadeklarowaną klasę psql()
patrząc na komunikat to zapewne nie zerknąłeś do logów błędów po aktualizacji

generalnie w 1.6 nie ma czegoś takiego jak

/controllers/classes/Db.php

patrz na ścieżkę więc nie wiem skąd taka ścieżka się wzięła się u ciebie :D :D

generalnie to zmień nazwę pliku /controllers/classes/Db.php na Db_old.php

468x60.jpg

468x60_pl.gif

 

QUICK PRESTA SUPPORT:  gg 45116037
SKLEPY  MODUŁY INTEGRACJE  POMOC TECHNICZNA


#5 niauoli

niauoli

    Początkujący

  • Members
  • Pip
  • 6 postów

Napisano 08 kwiecień 2014 - 18:42

A mógłbyś tak łopatologicznie poradzić mi co zrobić, bo jestem zieloniutka :(

#6 sower

sower

    Guru

  • Moderatorzy
  • 4212 postów
  • Location3miasto
  • PrestaShop:1.2, 1.3, 1.4, 1.5, 1.6

Napisano 09 kwiecień 2014 - 05:30

prze FTP wchodzisz do katalogu /controllers/classes/Db.php i zmieniasz nazwę pliku Db.php na Db_old.php

468x60.jpg

468x60_pl.gif

 

QUICK PRESTA SUPPORT:  gg 45116037
SKLEPY  MODUŁY INTEGRACJE  POMOC TECHNICZNA


#7 niauoli

niauoli

    Początkujący

  • Members
  • Pip
  • 6 postów

Napisano 09 kwiecień 2014 - 09:36

teraz mam to: Fatal error: Call to undefined method Tools::isPHPCLI() in /home/bls/ftp/kasztanowa/config/config.inc.php on line 64

#8 sower

sower

    Guru

  • Moderatorzy
  • 4212 postów
  • Location3miasto
  • PrestaShop:1.2, 1.3, 1.4, 1.5, 1.6

Napisano 09 kwiecień 2014 - 18:30

a czy w override/classes/ masz plik tools.php

468x60.jpg

468x60_pl.gif

 

QUICK PRESTA SUPPORT:  gg 45116037
SKLEPY  MODUŁY INTEGRACJE  POMOC TECHNICZNA


#9 niauoli

niauoli

    Początkujący

  • Members
  • Pip
  • 6 postów

Napisano 10 kwiecień 2014 - 09:00

nie ma

#10 niauoli

niauoli

    Początkujący

  • Members
  • Pip
  • 6 postów

Napisano 10 kwiecień 2014 - 21:52

Czy jest ktos kto podjąłby się naprawy mojego błedu i przeniósłby dane z bazy Danych na nową wersję presty? Pozdrawiam Daria

#11 sower

sower

    Guru

  • Moderatorzy
  • 4212 postów
  • Location3miasto
  • PrestaShop:1.2, 1.3, 1.4, 1.5, 1.6

Napisano 11 kwiecień 2014 - 10:19

Pewnie, tylko podstawowe pytanie - czy masz backup bazy z przed aktualizacji? Odezwij się do mnie na gg (numer znajduje się w moim podpisie)

468x60.jpg

468x60_pl.gif

 

QUICK PRESTA SUPPORT:  gg 45116037
SKLEPY  MODUŁY INTEGRACJE  POMOC TECHNICZNA





Użytkownicy przeglądający ten temat: 0

0 użytkowników, 0 gości, 0 anonimowych

Hosting zapewnia: Hekko.pl